To follow a CycleMasters lesson, you need a device with an internet connection, which you can use to play the lessons. Below you can find an overview of all the supported devices, software versions, and browsers.

HTML5-browsers

  • Chrome - version 35+
  • Firefox - version 47+ (Windows Vista+, macOS X 10.9+, Linux)
  • Internet Explorer - version 11+ (Windows 8.1+)
  • Microsoft Edge - Windows 10+
  • Opera - version 31+
  • Safari - Safari 8+

Mobile devices

  • Android 6+
  • Android 4.4 - 5.1
  • iOS 11.2+
  • Windows Phone

Set-top Box & Casting

  • Chromecast
  • Android TV

iOS app

  • iOS 10+
Did this answer your question?